## org.apache.cassandra.db.filter
Interface ColumnIterator

All Superinterfaces:
  java.util.Iterator<IColumn>

All Known Implementing Classes:
  AbstractColumnIterator, SimpleAbstractColumnIterator, SSTableNamesIterator

    public interface ColumnIterator

extends java.util.Iterator<IColumn>

Method Summary
`void` `close()` clean up any open resources
`ColumnFamily` `getColumnFamily()` returns the CF of the column being iterated.

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Method Detail

### getColumnFamily

    ColumnFamily getColumnFamily()

  returns the CF of the column being iterated. The CF is only guaranteed to be available after a call to next() or hasNext().

### close

    void close()
               throws java.io.IOException

  clean up any open resources

  Throws:
    `java.io.IOException`

Copyright © 2010 The Apache Software Foundation